# Uses of Enum Class
org.bukkit.event.server.ServerLoadEvent.LoadType

Packages that use ServerLoadEvent.LoadType
Package
Description
org.bukkit.event.server
`Events` relating to programmatic state changes on the server.

## Uses of ServerLoadEvent.LoadType in org.bukkit.event.server

Methods in org.bukkit.event.server that return ServerLoadEvent.LoadType
Modifier and Type
Method
Description
`@NotNull ServerLoadEvent.LoadType`
ServerLoadEvent.`getType()`
Gets the context in which the server was loaded.
`static ServerLoadEvent.LoadType`
ServerLoadEvent.LoadType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ServerLoadEvent.LoadType[]`
ServerLoadEvent.LoadType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.server with parameters of type ServerLoadEvent.LoadType
Modifier
Constructor
Description
``
`ServerLoadEvent(@NotNull ServerLoadEvent.LoadType type)`
Creates a `ServerLoadEvent` with a given loading type.